Bug 733873 - subscription-manager import --help should not use proxy options
Summary: subscription-manager import --help should not use proxy options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Chris Duryee
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel62
TreeView+ depends on / blocked
 
Reported: 2011-08-28 04:08 UTC by John Sefler
Modified: 2011-12-06 17:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 17:23:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1695 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2011-12-06 01:23:29 UTC

Description John Sefler 2011-08-28 04:08:52 UTC
Description of problem:
The help options for subscription-manager import indicates that a proxy server may be useful during import.  This is not true.  The proxy options are not used during import since the certificate specified during the import is simply a path to a local file that contains the entitlement cert and its key concatenated together into one file. 


[root@jsefler-onprem-62server ~]# subscription-manager import --help
Usage: subscription-manager import [OPTIONS]

Import certificates which were provided outside of the tool

Options:
  -h, --help            show this help message and exit
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
  --certificate=CERTIFICATE_FILES
                        certificate file to import


^^^ REMOVE THOSE proxy options.


Version-Release number of selected component (if applicable):
[root@jsefler-onprem-62server ~]# rpm -q subscription-manager
subscription-manager-0.96.7-1.git.10.586c3c4.el6.x86_64

Comment 1 Chris Duryee 2011-09-21 14:05:47 UTC
588a2a6 master 0.97.2+
945da1  RHEL6.2 0.96.12+

Comment 3 John Sefler 2011-09-24 02:05:57 UTC
Verifying Version....
[root@jsefler-onprem-62server ~]# rpm -q subscription-manager
subscription-manager-0.96.11-1.git.7.15fc9d2.el6.x86_64


[root@jsefler-onprem-62server ~]# subscription-manager import --help
Usage: subscription-manager import [OPTIONS]

Import certificates which were provided outside of the tool

Options:
  -h, --help            show this help message and exit
  --certificate=CERTIFICATE_FILE
                        certificate file to import (for multiple imports,
                        specify this option more than once)

moving to VERIFIED

Comment 4 errata-xmlrpc 2011-12-06 17:23:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1695.html


Note You need to log in before you can comment on or make changes to this bug.